package org.xwiki.extension.wrap;

import java.net.URL;

import org.xwiki.extension.CoreExtension;

/**
 * Wrap a Core extension.
 * 
 * @param <T> the extension type
 * @version $Id: 7983afd9a0b7eabe083262face251805b411be14 $
 */
public class WrappingCoreExtension<T extends CoreExtension> extends WrappingExtension<T> implements CoreExtension
{
    /**
     * @param extension the wrapped core extension
     */
    public WrappingCoreExtension(T extension)
    {
        super(extension);
    }

    @Override
    public URL getURL()
    {
        return getExtension().getURL();
    }

    @Override
    public boolean isGuessed()
    {
        return getExtension().isGuessed();
    }
}
